locations

API: weather.gov:national-weather-service-api
Endpoint: /products/locations
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 1875ms

Description

Returns a list of valid text product issuance locations

Examples (1)

Get all text product issuance locations curl
curl 'https://api.weather.gov/products/locations' \
  -H 'User-Agent: RobustAPI-Example/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/products/locations",
    headers={
        'User-Agent': 'RobustAPI-Example/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("products/locations")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/products/locations", {
  headers: {
    "User-Agent": "RobustAPI-Example/1.0",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 03:55:06.267316 200 1875ms
2026-04-03 13:05:06.263180 200 1735ms
2026-03-30 06:11:54.175945 200 1756ms
2026-03-29 15:06:27.246221 200 1645ms
2026-03-22 21:10:10.108084 200 1951ms